commit:     3ca06363b138ac1481efcf657bd7b7114e03e427
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 20 08:36:18 2020 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Jun 20 08:43:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ca06363

app-admin/clustershell: version bump.

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-admin/clustershell/Manifest                  |  1 +
 app-admin/clustershell/clustershell-1.8.3.ebuild | 50 ++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/app-admin/clustershell/Manifest b/app-admin/clustershell/Manifest
index 3d6f77e8446..b57ce4ab832 100644
--- a/app-admin/clustershell/Manifest
+++ b/app-admin/clustershell/Manifest
@@ -1 +1,2 @@
 DIST clustershell-1.7.3.tar.gz 345447 BLAKE2B 
45bf059670a71724d8614f9b084c5e865daa1fb8dd2268e572d1a30b4d69259162fda8ee22eb2cc22261773c4e34849d345147de76c1628422f6c326b746724d
 SHA512 
acb8e8a5b4a576ee93fbe23a8d903bab813f4182b50d9cd752b3684c743e611d3ee3fcfde31818c0a92495a3ee7640094d4568a03fdbf543e398a1b741a978d4
+DIST clustershell-1.8.3.tar.gz 363975 BLAKE2B 
3a7bb9103398e96f57f53d0d5d5edc6895ce02b6983e8fed34d65cad83a6d4e86f40b9576f41631e499a99adc8be5f4f422005b8ddc7ac8325fe11abd2c99477
 SHA512 
5108773e2958d1dae0aa6966d764e9af9d41024f65271005b202468f2bd1a3b63acc977729324fe1305d400dc8b06b0c4672e8d8ded207fa77cef69fb0005108

diff --git a/app-admin/clustershell/clustershell-1.8.3.ebuild 
b/app-admin/clustershell/clustershell-1.8.3.ebuild
new file mode 100644
index 00000000000..a369abd0fa2
--- /dev/null
+++ b/app-admin/clustershell/clustershell-1.8.3.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# TODO: test phase
+
+EAPI=7
+
+PYTHON_COMPAT=( python{3_7,3_8} )
+PYTHON_REQ_USE="xml"
+
+inherit distutils-r1
+
+DESCRIPTION="Python framework for efficient cluster administration"
+HOMEPAGE="https://cea-hpc.github.com/clustershell/";
+SRC_URI="https://github.com/cea-hpc/clustershell/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc libressl test"
+
+CDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="
+       ${CDEPEND}
+       test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+RDEPEND="
+       ${CDEPEND}
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       !libressl? ( dev-libs/openssl:0= )
+       libressl? ( dev-libs/libressl:0= )"
+
+RESTRICT="test" # currently fail
+
+python_install() {
+       distutils-r1_python_install
+       python_optimize
+}
+
+python_test() {
+       cd tests || die
+       nosetests -sv --all-modules || die
+}
+
+pkg_postinst() {
+       einfo
+       einfo "Some default system-wide config files have been installed into"
+       einfo "/etc/${PN}"
+       einfo
+}

Reply via email to